Bug 1126134 - acpica-tools should be built with ldflags
Summary: acpica-tools should be built with ldflags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: acpica-tools
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Al Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 08:23 UTC by Christopher Meng
Modified: 2015-06-21 00:35 UTC (History)
1 user (show)

Fixed In Version: acpica-tools-20150515-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 00:35:07 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-08-02 08:23:14 UTC
Not only %optflags, %__global_ldflags should be used also.

Comment 1 Jaroslav Reznik 2015-03-03 16:10:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Al Stone 2015-06-01 21:48:33 UTC
My apologies for not looking at this bug report for a while; it appears to have been fixed in October 2014 but I never closed it.  The spec file is currently using (and has for several months):

%build
make OPT_CFLAGS="%{optflags}" OPT_LDFLAGS="%{__global_ldflags}"

So I think we're all set and I'll close this one on next upload.

Comment 3 Fedora Update System 2015-06-04 00:27:02 UTC
acpica-tools-20150515-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/acpica-tools-20150515-2.fc22

Comment 4 Fedora Update System 2015-06-04 00:27:11 UTC
acpica-tools-20150515-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/acpica-tools-20150515-2.fc21

Comment 5 Fedora Update System 2015-06-06 00:01:47 UTC
Package acpica-tools-20150515-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing acpica-tools-20150515-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9530/acpica-tools-20150515-2.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-21 00:35:07 UTC
acpica-tools-20150515-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-06-21 00:35:44 UTC
acpica-tools-20150515-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.